Name:           lightning
Version:        2.0.2
Release:        1%{?dist}
Summary:        Library for generating assembly code on run time

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.gnu.org/software/lightning/lightning.html
Source0:        ftp://ftp.gnu.org/gnu/lightning/lightning-%{version}.tar.gz

BuildRequires:  binutils-devel
BuildRequires:  prelink

Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
GNU lightning is a library to aid in making portable programs
that compiles assembly code at run time.

%package devel
Summary:        Header for the lightning package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development header and libraries of the
ligthing package

%prep
%setup -q 

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%post 
/sbin/install-info %{_infodir}/lightning.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/lightning.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%doc AUTHORS ChangeLog COPYING COPYING.DOC COPYING.LESSER NEWS README THANKS

%files devel
%{_libdir}/*.so
%{_includedir}/lightning/
%{_includedir}/lightning.h
%{_infodir}/lightning.info.gz

%changelog
* Mon Nov  4 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.2-1
- New upstream release

* Fri Sep 27 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.1-2
- Fix build issues on armv7hl

* Fri Sep 27 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.1-1
- New upstream release

* Fri Aug 30 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.0-2
- Fir FTBFS on the armv7hl plattform

* Sat Aug 24 2013 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.0-1
- New upstream release
- Support for more architectures
- Clen up SPEC file
- Create devel subpackage

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar  3 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.2-16
- Failback to release 1.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2c-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 28 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2c-1
- New upstream release

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-14
- fix license tag

* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2-13
- Rebuild for gcc-4.3

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2-12
- Rebuild

* Sun Aug 12 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-11
- Changing license tag

* Thu Jul  5 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-9
- Add prelink as a BR

* Wed Jul  4 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-8
- Fix ppc execstack issue (#246732)

* Wed Jul  4 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-7
- Exclude ppc architecture (#246732)

* Tue Jun 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-6
- Downgrade because compiling issues
 
* Thu Jun 21 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2a-4
- Increase release number

* Mon May 21 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2a-3
- Changing summary of the Package (#240230)

* Wed Nov 29 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2a-2
- New upstream version

* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2-4
- Rebuild for FC-6

* Mon Feb 20 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2-3
- Remove %%{_infodir}/dir

* Sun Feb 19 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2-2
- Fix buildRequires
- rmove %%{_infodir}/dir file

* Sun Dec  4 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.2-1
- Initial RPM
